# JCG assignment - Python os.walk() method

import os


# The os module provides a function that gets a list of files or folders in a directory
# '.' signifies the current folder
# walk(....) method generates the file names in a directory tree by walking the tree either top-down or bottom-up
def os_module():
    for root, dirs, files in os.walk('.', topdown=False):
        for filename in files:
            print(filename)


def main():
    print('\n . . . . Using the os module to list the files . . . . \n')
    os_module()


if __name__ == '__main__':
    main()

print('\nDone')
